#ifndef FUNCTIONS_H
#define FUNCTIONS_H
#include "structs.h"
#include <stdio.h>
#include <stdlib.h>
#include <SDL/SDL.h>

#define SELECT(X,Y) do {rect.x = (X)*32; rect.y= (Y)*32;} while (0)

void mkMap(Cell map[GSIZE][GSIZE], FILE *file, Race players[], Interface *intr);
Ship *mkShip(Race *player, int id);
Planet *mkPlanet(Race *player);
void loadRaces(Race players[4], FILE *file);
void renderInterface(SDL_Surface *target, Interface *inter);
void render(SDL_Surface *target, SDL_Surface *graphics, Cell map[][GSIZE],
		Interface *inter);

void printShip(Ship *ship);
void printPlanet(Planet *planet);
void combat (Cell *catk, Cell *cdef);
void planet (Cell *cell);
void ship(Cell *cell);
void updateMap(Cell map [GSIZE][GSIZE], Interface *inter);
void handleMapClick(Cell map [GSIZE][GSIZE], Interface *inter, int x, int y);
void handleInterfaceClick(Interface *inter, int y);
void scrollField(Interface *interface, SDLKey key);
void centerMap(Interface *interface, Cell *cell);
void moveShip(Cell map [GSIZE][GSIZE], Cell *cell, SDLKey key,Interface *intr);
void gotoNextShip(Cell map[GSIZE][GSIZE], Cell *current, Interface *intr);
void intr2cell(Cell *cell, Interface *inter); 
// ^ Update interface to a cell
#endif
